Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008437TestLinkAPI - XMLRPCpublic2018-10-28 15:362018-11-03 16:29
Reporterkanaduchi 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.18 (2018 Q3) 
Fixed in Version1.9.19 (2019 Q1) 
Summary0008437: Not actual params used for methods in xmlrpc.class.php - getTestCaseKeywords()
Descriptionxmlrpc.class.php:
6999 $itemSet [$accessKey] = $this->tcaseMgr->get_keywords_map ( intval ( $tcaseID ) );

but in testcase.class.php
3145 function get_keywords_map($id,$version_id,$opt=null) {

And after invocation we get an error:
Missing argument 2 for testcase::get_keywords_map(), called in /usr/share/testlink/lib/api/xmlrpc/v1/xmlrpc.class.php on line 6999 and defined - in /usr/share/testlink/lib/functions/testcase.class.php - Line 3145
Steps To ReproduceInvoke getTestCaseKeywords from xmlrpc for testcase
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0008451assignedfman getTestCaseKeywords() - call has not enough parameters 
child of 0008397assignedfman Availables hot-fixes for 1.9.18 & How To get full fixed package from GitHub 

-  Notes
(0028136)
kanaduchi (reporter)
2018-10-30 05:16

Also I found invocation of this method without correct arguments in tlRestApi.class.php [299]
(0028138)
fman (administrator)
2018-10-30 08:01

do not vampirize tickets => you need to open a new ticket for the REST API.
I try to have 1 commit of 1 ticket.
(0028167)
fman (administrator)
2018-11-03 16:27

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/6c50db1c669410aeffa1228bb85945b817e549f6 [^]

- Issue History
Date Modified Username Field Change
2018-10-28 15:36 kanaduchi New Issue
2018-10-29 20:12 fman QA Team - Task Workflow Status => TBD
2018-10-29 20:12 fman Summary Not actual params used for methods in xmlrpc.class.php => Not actual params used for methods in xmlrpc.class.php - getTestCaseKeywords()
2018-10-30 05:16 kanaduchi Note Added: 0028136
2018-10-30 08:01 fman Note Added: 0028138
2018-11-03 16:26 fman Fixed in Version => 1.9.19 (2019 Q1)
2018-11-03 16:27 fman Note Added: 0028167
2018-11-03 16:27 fman Status new => resolved
2018-11-03 16:27 fman Resolution open => fixed
2018-11-03 16:27 fman Assigned To => fman
2018-11-03 16:27 fman Relationship added child of 0008397
2018-11-03 16:29 fman Issue cloned: 0008451
2018-11-03 16:29 fman Relationship added related to 0008451



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker